Index: tests/libpspp/ll-test.c
===================================================================
RCS file: /sources/pspp/pspp/tests/libpspp/ll-test.c,v
retrieving revision 1.1
diff -U3 -r1.1 ll-test.c
--- tests/libpspp/ll-test.c	1 Jul 2006 22:34:27 -0000	1.1
+++ tests/libpspp/ll-test.c	4 Jul 2006 06:05:12 -0000
@@ -30,17 +30,12 @@
    routines. */
 
 #include <libpspp/ll.h>
-#include <assert.h>
+#include <libpspp/Assert.h>
+#include <libpspp/compiler.h>
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
 
-/* Support preliminaries. */
-#if __GNUC__ >= 2 && !defined UNUSED
-#define UNUSED __attribute__ ((unused))
-#else
-#define UNUSED
-#endif
 
 /* Exit with a failure code.
    (Place a breakpoint on this function while debugging.) */
Index: tests/libpspp/llx-test.c
===================================================================
RCS file: /sources/pspp/pspp/tests/libpspp/llx-test.c,v
retrieving revision 1.1
diff -U3 -r1.1 llx-test.c
--- tests/libpspp/llx-test.c	1 Jul 2006 22:34:27 -0000	1.1
+++ tests/libpspp/llx-test.c	4 Jul 2006 06:05:13 -0000
@@ -29,17 +29,12 @@
    See ll-test.c for a similar program for the ll_* routines. */
 
 #include <libpspp/llx.h>
-#include <assert.h>
+#include <libpspp/Assert.h>
+#include <libpspp/compiler.h>
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
 
-/* Support preliminaries. */
-#if __GNUC__ >= 2 && !defined UNUSED
-#define UNUSED __attribute__ ((unused))
-#else
-#define UNUSED
-#endif
 
 /* Exit with a failure code.
    (Place a breakpoint on this function while debugging.) */
